﻿using System;
using System.Windows.Input;

namespace WF.VecDraw.VecApp
{
    public class VDCustomCommands
    {
        static VDCustomCommands()
        {
            UnselectAll = new RoutedUICommand(
                "Unselect All", "UnselectAll", typeof(VDCustomCommands),
                new InputGestureCollection { new KeyGesture(Key.Escape, ModifierKeys.None, "Esc") });

            ZoomIn = new RoutedUICommand(
                "Zoom In", "ZoomIn", typeof(VDCustomCommands),
                new InputGestureCollection { new KeyGesture(Key.Add, ModifierKeys.Control, "Ctrl++") });

            ZoomOut = new RoutedUICommand(
                "Zoom Out", "ZoomOut", typeof(VDCustomCommands),
                new InputGestureCollection { new KeyGesture(Key.Subtract, ModifierKeys.Control, "Ctrl+-") });
        }

        public static RoutedUICommand UnselectAll { get; private set; }

        public static RoutedUICommand ZoomIn { get; private set; }

        public static RoutedUICommand ZoomOut { get; private set; }
    }
}
