﻿using System.Windows.Input;

namespace WickedFlame.VecDraw.VecApp
{
    public static class ShapeCommands
    {
        static ShapeCommands()
        {
            CloseShape = new RoutedUICommand(
                "Close Shape", "CloseShape", typeof(ShapeCommands));

            CombineShapesCommand = new RoutedUICommand(
				"Combine Shapes"/*"Combine Shapes to P_olygon"*/, "CombineShapes", typeof(MainMenuCustomCommands),
                new InputGestureCollection { new KeyGesture(Key.P, ModifierKeys.Control | ModifierKeys.Shift, "Ctrl+Shift+P") });
        }

        public static RoutedUICommand CloseShape { get; private set; }

        public static RoutedUICommand CombineShapesCommand { get; private set; }
    }
}
