﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using WickedFlame.VecDraw.Base.Controls;

namespace WickedFlame.VecDraw.Dialog
{
	/// <summary>
    /// Interaction logic for NewImageDialog.xaml
	/// </summary>
	public partial class NewImageDialog : VecDrawDialog
	{
		public NewImageDialog()
		{
			InitializeComponent();
		}

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            txtWidth.Focus();
        }

		private void btnOK_Click(object sender, RoutedEventArgs e)
		{
			this.DialogResult = true;
		}

		private void btnCancle_Click(object sender, RoutedEventArgs e)
		{
			this.DialogResult = false;
		}

		public double ImageWidth
		{
			get
			{
				return int.Parse(txtWidth.Text);
			}
		}

		public double ImageHeight
		{
			get
			{
				return int.Parse(txtHeight.Text);
			}
		}

        private void TextBox_GotFocus(object sender, RoutedEventArgs e)
        {
            (sender as TextBox).SelectAll();
        }

        private void TextBox_MouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            (sender as TextBox).SelectAll();
        }        
	}
}
